Hi, I tried to install phpmyadmin on an ubuntu server 1204lts with percona 5.5 and Apache2 running on a vmware. When I tried "sudo apt-get install phpmyadmin" I got this:

...
Reading state information... done.
the following package was automatically installed and is no longer required:
libaio1
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
dbconfig-common libterm-readkey-perl mysql-client mysql-client-5.5 mysql-client-core-5.5 mysql-common
Suggested packages:
mysql-server www-browser
The following packages will be REMOVED:
percona-server-client-5.5 percona-server-server-5.5
The following NEW packages will be installed:
dbconfig-common libterm-readkey-perl mysql-client mysql-client-5.5 mysql-client-core-5.5 mysql-common phpmyadmin
0 upgraded, 7 newly installed, 2 to remove and 17 not upgraded.
...
and if I try Yes and continue, Percona or mysql will not work.

I had searched through google, but found nothing on it. Can someone tell me why and what I should do .

Thank you very much for any ideas.